	component RL_system is
		port (
			clk_clk                           : in    std_logic                     := 'X';             -- clk
			dpr_clockbridge_in_clk            : in    std_logic                     := 'X';             -- clk
			dpr_s2_address                    : in    std_logic_vector(12 downto 0) := (others => 'X'); -- address
			dpr_s2_chipselect                 : in    std_logic                     := 'X';             -- chipselect
			dpr_s2_clken                      : in    std_logic                     := 'X';             -- clken
			dpr_s2_write                      : in    std_logic                     := 'X';             -- write
			dpr_s2_readdata                   : out   std_logic_vector(15 downto 0);                    -- readdata
			dpr_s2_writedata                  : in    std_logic_vector(15 downto 0) := (others => 'X'); -- writedata
			dpr_s2_byteenable                 : in    std_logic_vector(1 downto 0)  := (others => 'X'); -- byteenable
			hps_0_f2h_cold_reset_req_reset_n  : in    std_logic                     := 'X';             -- reset_n
			hps_0_f2h_debug_reset_req_reset_n : in    std_logic                     := 'X';             -- reset_n
			hps_0_f2h_warm_reset_req_reset_n  : in    std_logic                     := 'X';             -- reset_n
			hps_0_io_hps_io_emac1_inst_TX_CLK : out   std_logic;                                        -- hps_io_emac1_inst_TX_CLK
			hps_0_io_hps_io_emac1_inst_TXD0   : out   std_logic;                                        -- hps_io_emac1_inst_TXD0
			hps_0_io_hps_io_emac1_inst_TXD1   : out   std_logic;                                        -- hps_io_emac1_inst_TXD1
			hps_0_io_hps_io_emac1_inst_TXD2   : out   std_logic;                                        -- hps_io_emac1_inst_TXD2
			hps_0_io_hps_io_emac1_inst_TXD3   : out   std_logic;                                        -- hps_io_emac1_inst_TXD3
			hps_0_io_hps_io_emac1_inst_RXD0   : in    std_logic                     := 'X';             -- hps_io_emac1_inst_RXD0
			hps_0_io_hps_io_emac1_inst_MDIO   : inout std_logic                     := 'X';             -- hps_io_emac1_inst_MDIO
			hps_0_io_hps_io_emac1_inst_MDC    : out   std_logic;                                        -- hps_io_emac1_inst_MDC
			hps_0_io_hps_io_emac1_inst_RX_CTL : in    std_logic                     := 'X';             -- hps_io_emac1_inst_RX_CTL
			hps_0_io_hps_io_emac1_inst_TX_CTL : out   std_logic;                                        -- hps_io_emac1_inst_TX_CTL
			hps_0_io_hps_io_emac1_inst_RX_CLK : in    std_logic                     := 'X';             -- hps_io_emac1_inst_RX_CLK
			hps_0_io_hps_io_emac1_inst_RXD1   : in    std_logic                     := 'X';             -- hps_io_emac1_inst_RXD1
			hps_0_io_hps_io_emac1_inst_RXD2   : in    std_logic                     := 'X';             -- hps_io_emac1_inst_RXD2
			hps_0_io_hps_io_emac1_inst_RXD3   : in    std_logic                     := 'X';             -- hps_io_emac1_inst_RXD3
			hps_0_io_hps_io_sdio_inst_CMD     : inout std_logic                     := 'X';             -- hps_io_sdio_inst_CMD
			hps_0_io_hps_io_sdio_inst_D0      : inout std_logic                     := 'X';             -- hps_io_sdio_inst_D0
			hps_0_io_hps_io_sdio_inst_D1      : inout std_logic                     := 'X';             -- hps_io_sdio_inst_D1
			hps_0_io_hps_io_sdio_inst_CLK     : out   std_logic;                                        -- hps_io_sdio_inst_CLK
			hps_0_io_hps_io_sdio_inst_D2      : inout std_logic                     := 'X';             -- hps_io_sdio_inst_D2
			hps_0_io_hps_io_sdio_inst_D3      : inout std_logic                     := 'X';             -- hps_io_sdio_inst_D3
			memory_mem_a                      : out   std_logic_vector(14 downto 0);                    -- mem_a
			memory_mem_ba                     : out   std_logic_vector(2 downto 0);                     -- mem_ba
			memory_mem_ck                     : out   std_logic;                                        -- mem_ck
			memory_mem_ck_n                   : out   std_logic;                                        -- mem_ck_n
			memory_mem_cke                    : out   std_logic;                                        -- mem_cke
			memory_mem_cs_n                   : out   std_logic;                                        -- mem_cs_n
			memory_mem_ras_n                  : out   std_logic;                                        -- mem_ras_n
			memory_mem_cas_n                  : out   std_logic;                                        -- mem_cas_n
			memory_mem_we_n                   : out   std_logic;                                        -- mem_we_n
			memory_mem_reset_n                : out   std_logic;                                        -- mem_reset_n
			memory_mem_dq                     : inout std_logic_vector(31 downto 0) := (others => 'X'); -- mem_dq
			memory_mem_dqs                    : inout std_logic_vector(3 downto 0)  := (others => 'X'); -- mem_dqs
			memory_mem_dqs_n                  : inout std_logic_vector(3 downto 0)  := (others => 'X'); -- mem_dqs_n
			memory_mem_odt                    : out   std_logic;                                        -- mem_odt
			memory_mem_dm                     : out   std_logic_vector(3 downto 0);                     -- mem_dm
			memory_oct_rzqin                  : in    std_logic                     := 'X';             -- oct_rzqin
			pio_0_in_port                     : in    std_logic_vector(15 downto 0) := (others => 'X'); -- in_port
			pio_0_out_port                    : out   std_logic_vector(15 downto 0);                    -- out_port
			pio_1_in_port                     : in    std_logic_vector(23 downto 0) := (others => 'X'); -- in_port
			pio_1_out_port                    : out   std_logic_vector(23 downto 0);                    -- out_port
			pio_2_in_port                     : in    std_logic_vector(15 downto 0) := (others => 'X'); -- in_port
			pio_2_out_port                    : out   std_logic_vector(15 downto 0);                    -- out_port
			pll_65_6_clk                      : out   std_logic;                                        -- clk
			reset_reset_n                     : in    std_logic                     := 'X'              -- reset_n
		);
	end component RL_system;

	u0 : component RL_system
		port map (
			clk_clk                           => CONNECTED_TO_clk_clk,                           --                       clk.clk
			dpr_clockbridge_in_clk            => CONNECTED_TO_dpr_clockbridge_in_clk,            --        dpr_clockbridge_in.clk
			dpr_s2_address                    => CONNECTED_TO_dpr_s2_address,                    --                    dpr_s2.address
			dpr_s2_chipselect                 => CONNECTED_TO_dpr_s2_chipselect,                 --                          .chipselect
			dpr_s2_clken                      => CONNECTED_TO_dpr_s2_clken,                      --                          .clken
			dpr_s2_write                      => CONNECTED_TO_dpr_s2_write,                      --                          .write
			dpr_s2_readdata                   => CONNECTED_TO_dpr_s2_readdata,                   --                          .readdata
			dpr_s2_writedata                  => CONNECTED_TO_dpr_s2_writedata,                  --                          .writedata
			dpr_s2_byteenable                 => CONNECTED_TO_dpr_s2_byteenable,                 --                          .byteenable
			hps_0_f2h_cold_reset_req_reset_n  => CONNECTED_TO_hps_0_f2h_cold_reset_req_reset_n,  --  hps_0_f2h_cold_reset_req.reset_n
			hps_0_f2h_debug_reset_req_reset_n => CONNECTED_TO_hps_0_f2h_debug_reset_req_reset_n, -- hps_0_f2h_debug_reset_req.reset_n
			hps_0_f2h_warm_reset_req_reset_n  => CONNECTED_TO_hps_0_f2h_warm_reset_req_reset_n,  --  hps_0_f2h_warm_reset_req.reset_n
			hps_0_io_hps_io_emac1_inst_TX_CLK => CONNECTED_TO_hps_0_io_hps_io_emac1_inst_TX_CLK, --                  hps_0_io.hps_io_emac1_inst_TX_CLK
			hps_0_io_hps_io_emac1_inst_TXD0   => CONNECTED_TO_hps_0_io_hps_io_emac1_inst_TXD0,   --                          .hps_io_emac1_inst_TXD0
			hps_0_io_hps_io_emac1_inst_TXD1   => CONNECTED_TO_hps_0_io_hps_io_emac1_inst_TXD1,   --                          .hps_io_emac1_inst_TXD1
			hps_0_io_hps_io_emac1_inst_TXD2   => CONNECTED_TO_hps_0_io_hps_io_emac1_inst_TXD2,   --                          .hps_io_emac1_inst_TXD2
			hps_0_io_hps_io_emac1_inst_TXD3   => CONNECTED_TO_hps_0_io_hps_io_emac1_inst_TXD3,   --                          .hps_io_emac1_inst_TXD3
			hps_0_io_hps_io_emac1_inst_RXD0   => CONNECTED_TO_hps_0_io_hps_io_emac1_inst_RXD0,   --                          .hps_io_emac1_inst_RXD0
			hps_0_io_hps_io_emac1_inst_MDIO   => CONNECTED_TO_hps_0_io_hps_io_emac1_inst_MDIO,   --                          .hps_io_emac1_inst_MDIO
			hps_0_io_hps_io_emac1_inst_MDC    => CONNECTED_TO_hps_0_io_hps_io_emac1_inst_MDC,    --                          .hps_io_emac1_inst_MDC
			hps_0_io_hps_io_emac1_inst_RX_CTL => CONNECTED_TO_hps_0_io_hps_io_emac1_inst_RX_CTL, --                          .hps_io_emac1_inst_RX_CTL
			hps_0_io_hps_io_emac1_inst_TX_CTL => CONNECTED_TO_hps_0_io_hps_io_emac1_inst_TX_CTL, --                          .hps_io_emac1_inst_TX_CTL
			hps_0_io_hps_io_emac1_inst_RX_CLK => CONNECTED_TO_hps_0_io_hps_io_emac1_inst_RX_CLK, --                          .hps_io_emac1_inst_RX_CLK
			hps_0_io_hps_io_emac1_inst_RXD1   => CONNECTED_TO_hps_0_io_hps_io_emac1_inst_RXD1,   --                          .hps_io_emac1_inst_RXD1
			hps_0_io_hps_io_emac1_inst_RXD2   => CONNECTED_TO_hps_0_io_hps_io_emac1_inst_RXD2,   --                          .hps_io_emac1_inst_RXD2
			hps_0_io_hps_io_emac1_inst_RXD3   => CONNECTED_TO_hps_0_io_hps_io_emac1_inst_RXD3,   --                          .hps_io_emac1_inst_RXD3
			hps_0_io_hps_io_sdio_inst_CMD     => CONNECTED_TO_hps_0_io_hps_io_sdio_inst_CMD,     --                          .hps_io_sdio_inst_CMD
			hps_0_io_hps_io_sdio_inst_D0      => CONNECTED_TO_hps_0_io_hps_io_sdio_inst_D0,      --                          .hps_io_sdio_inst_D0
			hps_0_io_hps_io_sdio_inst_D1      => CONNECTED_TO_hps_0_io_hps_io_sdio_inst_D1,      --                          .hps_io_sdio_inst_D1
			hps_0_io_hps_io_sdio_inst_CLK     => CONNECTED_TO_hps_0_io_hps_io_sdio_inst_CLK,     --                          .hps_io_sdio_inst_CLK
			hps_0_io_hps_io_sdio_inst_D2      => CONNECTED_TO_hps_0_io_hps_io_sdio_inst_D2,      --                          .hps_io_sdio_inst_D2
			hps_0_io_hps_io_sdio_inst_D3      => CONNECTED_TO_hps_0_io_hps_io_sdio_inst_D3,      --                          .hps_io_sdio_inst_D3
			memory_mem_a                      => CONNECTED_TO_memory_mem_a,                      --                    memory.mem_a
			memory_mem_ba                     => CONNECTED_TO_memory_mem_ba,                     --                          .mem_ba
			memory_mem_ck                     => CONNECTED_TO_memory_mem_ck,                     --                          .mem_ck
			memory_mem_ck_n                   => CONNECTED_TO_memory_mem_ck_n,                   --                          .mem_ck_n
			memory_mem_cke                    => CONNECTED_TO_memory_mem_cke,                    --                          .mem_cke
			memory_mem_cs_n                   => CONNECTED_TO_memory_mem_cs_n,                   --                          .mem_cs_n
			memory_mem_ras_n                  => CONNECTED_TO_memory_mem_ras_n,                  --                          .mem_ras_n
			memory_mem_cas_n                  => CONNECTED_TO_memory_mem_cas_n,                  --                          .mem_cas_n
			memory_mem_we_n                   => CONNECTED_TO_memory_mem_we_n,                   --                          .mem_we_n
			memory_mem_reset_n                => CONNECTED_TO_memory_mem_reset_n,                --                          .mem_reset_n
			memory_mem_dq                     => CONNECTED_TO_memory_mem_dq,                     --                          .mem_dq
			memory_mem_dqs                    => CONNECTED_TO_memory_mem_dqs,                    --                          .mem_dqs
			memory_mem_dqs_n                  => CONNECTED_TO_memory_mem_dqs_n,                  --                          .mem_dqs_n
			memory_mem_odt                    => CONNECTED_TO_memory_mem_odt,                    --                          .mem_odt
			memory_mem_dm                     => CONNECTED_TO_memory_mem_dm,                     --                          .mem_dm
			memory_oct_rzqin                  => CONNECTED_TO_memory_oct_rzqin,                  --                          .oct_rzqin
			pio_0_in_port                     => CONNECTED_TO_pio_0_in_port,                     --                     pio_0.in_port
			pio_0_out_port                    => CONNECTED_TO_pio_0_out_port,                    --                          .out_port
			pio_1_in_port                     => CONNECTED_TO_pio_1_in_port,                     --                     pio_1.in_port
			pio_1_out_port                    => CONNECTED_TO_pio_1_out_port,                    --                          .out_port
			pio_2_in_port                     => CONNECTED_TO_pio_2_in_port,                     --                     pio_2.in_port
			pio_2_out_port                    => CONNECTED_TO_pio_2_out_port,                    --                          .out_port
			pll_65_6_clk                      => CONNECTED_TO_pll_65_6_clk,                      --                  pll_65_6.clk
			reset_reset_n                     => CONNECTED_TO_reset_reset_n                      --                     reset.reset_n
		);

